#include <kdialog.h>
#include <klocale.h>

#ifndef UI_DEFAULTWIDGET_H
#define UI_DEFAULTWIDGET_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3ProgressBar>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QStackedWidget>
#include <QtGui/QWidget>

class Ui_DefaultWidget
{
public:
    QGridLayout *gridLayout;
    QStackedWidget *_widgetStack;
    QWidget *page;
    QGridLayout *gridLayout1;
    QLabel *_textOnly;
    QWidget *page1;
    QGridLayout *gridLayout2;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;
    Q3ProgressBar *_progress;
    QLabel *_progressText;

    void setupUi(QWidget *DefaultWidget)
    {
    if (DefaultWidget->objectName().isEmpty())
        DefaultWidget->setObjectName(QString::fromUtf8("DefaultWidget"));
    DefaultWidget->resize(566, 180);
    gridLayout = new QGridLayout(DefaultWidget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    _widgetStack = new QStackedWidget(DefaultWidget);
    _widgetStack->setObjectName(QString::fromUtf8("_widgetStack"));
    _widgetStack->setFrameShape(QStackedWidget::StyledPanel);
    _widgetStack->setFrameShadow(QStackedWidget::Sunken);
    page = new QWidget();
    page->setObjectName(QString::fromUtf8("page"));
    gridLayout1 = new QGridLayout(page);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(11);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    _textOnly = new QLabel(page);
    _textOnly->setObjectName(QString::fromUtf8("_textOnly"));
    QFont font;
    font.setPointSize(28);
    font.setBold(true);
    _textOnly->setFont(font);
    _textOnly->setAlignment(Qt::AlignCenter);
    _textOnly->setWordWrap(false);

    gridLayout1->addWidget(_textOnly, 0, 0, 1, 1);

    _widgetStack->addWidget(page);
    page1 = new QWidget();
    page1->setObjectName(QString::fromUtf8("page1"));
    gridLayout2 = new QGridLayout(page1);
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(11);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    spacerItem = new QSpacerItem(81, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout2->addItem(spacerItem, 1, 2, 1, 1);

    spacerItem1 = new QSpacerItem(81, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout2->addItem(spacerItem1, 1, 0, 1, 1);

    _progress = new Q3ProgressBar(page1);
    _progress->setObjectName(QString::fromUtf8("_progress"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(1);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(_progress->sizePolicy().hasHeightForWidth());
    _progress->setSizePolicy(sizePolicy);
    _progress->setCenterIndicator(false);

    gridLayout2->addWidget(_progress, 1, 1, 1, 1);

    _progressText = new QLabel(page1);
    _progressText->setObjectName(QString::fromUtf8("_progressText"));
    _progressText->setFont(font);
    _progressText->setAlignment(Qt::AlignCenter);
    _progressText->setWordWrap(false);

    gridLayout2->addWidget(_progressText, 0, 0, 1, 3);

    _widgetStack->addWidget(page1);

    gridLayout->addWidget(_widgetStack, 0, 0, 1, 1);


    retranslateUi(DefaultWidget);

    QMetaObject::connectSlotsByName(DefaultWidget);
    } // setupUi

    void retranslateUi(QWidget *DefaultWidget)
    {
    _textOnly->setText(QString());
    _progressText->setText(QString());
    Q_UNUSED(DefaultWidget);
    } // retranslateUi

};

namespace Ui {
    class DefaultWidget: public Ui_DefaultWidget {};
} // namespace Ui

class DefaultWidget : public QWidget, public Ui::DefaultWidget
{
    Q_OBJECT

public:
    DefaultWidget(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~DefaultWidget();

protected slots:
    virtual void languageChange();

};

#endif // DEFAULTWIDGET_H

